CVE-2012-5532

Bug #1084777 reported by John Johansen on 2012-11-29
258
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
Lucid
Medium
Unassigned
Oneiric
Medium
Luis Henriques
Precise
Medium
Luis Henriques
Quantal
Medium
Luis Henriques
Raring
Medium
Unassigned
linux-armadaxp (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
Lucid
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
Unassigned
linux-ec2 (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
Lucid
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
Unassigned
linux-fsl-imx51 (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
Lucid
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
Unassigned
linux-lts-backport-maverick (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
Lucid
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
Unassigned
linux-lts-backport-natty (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Lucid
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
linux-lts-backport-oneiric (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
Lucid
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
Unassigned
linux-lts-quantal (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
Lucid
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
Unassigned
linux-mvl-dove (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
Lucid
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
Unassigned
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
Lucid
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
Unassigned

Bug Description

The main function in tools/hv/hv_kvp_daemon.c in hypervkvpd, as distributed in the Linux kernel before 3.8-rc1, allows local users to cause a denial of service (daemon exit) via a crafted application that sends a Netlink message. NOTE: this vulnerability exists because of an incorrect fix for CVE-2012-2669.

Break-Fix: bcc2c9c3fff859e0eb019fe6fec26f9b8eba795c 95a69adab9acfc3981c504737a2b6578e4d846ef

John Johansen (jjohansen) wrote :

CVE-2012-5532

tags: added: kernel-cve-tracking-bug
information type: Public → Public Security
Changed in linux-armadaxp (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Lucid):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Hardy):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Raring):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Quantal):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Precise):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Raring):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Hardy):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Quantal):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Raring):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Quantal):
status: New → Invalid
description: updated
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Hardy):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Hardy):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux-lts-backport-oneiric (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-lts-backport-oneiric (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-lts-backport-oneiric (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux-lts-backport-oneiric (Ubuntu Hardy):
importance: Undecided → Medium
Changed in linux-lts-backport-oneiric (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Hardy):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Hardy):
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux-lts-backport-maverick (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-lts-backport-maverick (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-backport-maverick (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux-lts-backport-maverick (Ubuntu Hardy):
importance: Undecided → Medium
Changed in linux-lts-backport-maverick (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux (Ubuntu Hardy):
importance: Undecided → Medium
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Hardy):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Hardy):
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Quantal):
importance: Undecided → Medium
Luis Henriques (henrix) on 2012-12-07
Changed in linux (Ubuntu Quantal):
assignee: nobody → Luis Henriques (henrix)
status: New → In Progress
Changed in linux (Ubuntu Precise):
assignee: nobody → Luis Henriques (henrix)
status: New → In Progress
Tim Gardner (timg-tpi) on 2012-12-07
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2012-12-07
Changed in linux (Ubuntu Raring):
status: New → Fix Committed
Changed in linux-ec2 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: New → Invalid
Changed in linux (Ubuntu Oneiric):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
status: New → Invalid
Changed in linux (Ubuntu Hardy):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux (Ubuntu Raring):
status: Fix Committed → New
Luis Henriques (henrix) on 2012-12-11
Changed in linux (Ubuntu Raring):
status: New → Fix Committed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.7.0-6.14

---------------
linux (3.7.0-6.14) raring; urgency=low

  [ Andy Whitcroft ]

  * [Config] annotations: all new annotations scheme including defaults
  * [Configs] apply annotation updates to main configs (top section)

  [ Leann Ogasawara ]

  * Revert "SAUCE: include <linux/printk.h> and <stdarg.h> for mmc_core arm
    build"
  * Revert "SAUCE: [arm] fixup __aeabi_uldivmod undefined build error"
  * Temporarily disable module check for build

  [ Stefan Bader ]

  * ubuntu: dm-raid45: Adapt to upstream interface changes
  * Re-enable build of dm-raid45

  [ Tim Gardner ]

  * SAUCE: Moved scripts/fw-to-ihex.sh to debian/scripts/misc
  * SAUCE: ACPICA: Fix ACPI mutex object allocation memory leak on error
  * SAUCE: drm: Fix possible EDID memory allocation oops
  * SAUCE: ttm: Fix possible _manager memory allocation oops
  * SAUCE: iwlwifi: iwlagn_request_scan: Fix check for priv->scan_request
  * SAUCE: i915: intel_set_mode: Reduce stack allocation from 500 bytes to
    2 pointers

  [ Tomas Hozza ]

  * SAUCE: tools: hv: Netlink source address validation allows DoS
    - LP: #1084777
    - CVE-2012-5532

  [ Upstream Kernel Changes ]

  * rebase to v3.7
 -- Leann Ogasawara <email address hidden> Wed, 05 Dec 2012 14:11:12 -0800

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Changed in linux-armadaxp (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-armadaxp (Ubuntu Raring):
status: New → Fix Committed
Changed in linux-armadaxp (Ubuntu Quantal):
status: New → Fix Committed
Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Raring):
status: New → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Quantal):
status: New → Fix Committed
description: updated
Tim Gardner (timg-tpi) on 2013-01-09
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Luis Henriques (henrix)
status: Invalid → Fix Committed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (10.1 KiB)

This bug was fixed in the package linux - 3.2.0-36.57

---------------
linux (3.2.0-36.57) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097389

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.2.0-36.56) precise-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095351

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: usb: cdc-wdm: fix regression on buffer deallocation
    - LP: #1074157

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to virtual kernel flavor
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when ...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.0 KiB)

This bug was fixed in the package linux-armadaxp - 3.2.0-1613.18

---------------
linux-armadaxp (3.2.0-1613.18) precise-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1097597
  * Rebase onto Ubuntu-3.2.0-36.56
  * Rebase onto Ubuntu-3.2.0-36.57

  [ Ubuntu: 3.2.0-36.57 ]

  * Release Tracking Bug
    - LP: #1097389
  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137
  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

  [ Ubuntu: 3.2.0-36.56 ]

  * Release Tracking Bug
    - LP: #1095351
  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182
  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557
  * SAUCE: usb: cdc-wdm: fix regression on buffer deallocation
    - LP: #1074157
  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530
  * Add ceph to virtual kernel flavor
    - LP: #1063784
  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    by group
    - LP: #922906
  * SAUCE: tools: hv: Netlink s...

Changed in linux-armadaxp (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.1 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.2.0-1424.32

---------------
linux-ti-omap4 (3.2.0-1424.32) precise-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1097595

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.2.0-36.57

  [ Ubuntu: 3.2.0-36.57 ]

  * Release Tracking Bug
    - LP: #1097389
  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137
  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux-ti-omap4 (3.2.0-1424.31) precise-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1095797

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.2.0-36.56

  [ Ubuntu: 3.2.0-36.56 ]

  * Release Tracking Bug
    - LP: #1095351
  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182
  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557
  * SAUCE: usb: cdc-wdm: fix regression on buffer deallocation
    - LP: #1074157
  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530
  * Add ceph to virtual kernel flavor
    - LP: #1063784
  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SA...

Changed in linux-ti-omap4 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.3 KiB)

This bug was fixed in the package linux-lts-quantal - 3.5.0-22.34~precise1

---------------
linux-lts-quantal (3.5.0-22.34~precise1) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097919

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.5.0-22.33) quantal-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095349

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to linux-image for virtual instances
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    by group
    - LP: #922906

  [ Tomas Hozza...

Changed in linux-lts-quantal (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.3 KiB)

This bug was fixed in the package linux - 3.5.0-22.34

---------------
linux (3.5.0-22.34) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097343

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.5.0-22.33) quantal-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095349

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to linux-image for virtual instances
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    by group
    - LP: #922906

  [ Tomas Hozza ]

  * SAUCE: tools: hv: Netlink source a...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.3 KiB)

This bug was fixed in the package linux-armadaxp - 3.5.0-1607.9

---------------
linux-armadaxp (3.5.0-1607.9) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1097914
  * Rebase onto Ubuntu-3.5.0-22.33
  * Rebase onto Ubuntu-3.5.0-22.34

  [ Ubuntu: 3.5.0-22.34 ]

  * Release Tracking Bug
    - LP: #1097343
  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137
  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

  [ Ubuntu: 3.5.0-22.33 ]

  * Release Tracking Bug
    - LP: #1095349
  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182
  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557
  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530
  * Add ceph to linux-image for virtual instances
    - LP: #1063784
  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    by group
    - LP: #922906
  * SAUCE: tools: hv: Netlink source address validation allows DoS
    - LP: #1084777
    - CVE-2012-55...

Changed in linux-armadaxp (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.4 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.5.0-217.25

---------------
linux-ti-omap4 (3.5.0-217.25) quantal-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1097912

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.5.0-22.34

  [ Ubuntu: 3.5.0-22.34 ]

  * Release Tracking Bug
    - LP: #1097343
  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137
  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux-ti-omap4 (3.5.0-217.24) quantal-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1095810

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.5.0-22.33

  [ Ubuntu: 3.5.0-22.33 ]

  * Release Tracking Bug
    - LP: #1095349
  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182
  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557
  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530
  * Add ceph to linux-image for virtual instances
    - LP: #1063784
  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    b...

Changed in linux-ti-omap4 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 3.5.0-218.26

---------------
linux-ti-omap4 (3.5.0-218.26) quantal-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1105143

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.5.0-23.35

  [ Ubuntu: 3.5.0-23.35 ]

  * Release Tracking Bug
    - LP: #1103932
  * Revert "fsnotify: change locking order"
    - LP: #1101666
  * Revert "fsnotify: dont put marks on temporary list when clearing marks
    by group"
    - LP: #1101666
  * Revert "fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()"
    - LP: #1101666
  * Revert "fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1101666
  * Revert "fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list"
    - LP: #1101666
  * Revert "fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed"
    - LP: #1101666
  * Revert "fsnotify: take groups mark_lock before mark lock"
    - LP: #1101666
  * Revert "fsnotify: use reference counting for groups"
    - LP: #1101666
  * Revert "fsnotify: introduce fsnotify_get_group()"
    - LP: #1101666
  * radeon/kms: force rn50 chip to always report connected on analog output
    - LP: #1103320
 -- Paolo Pisati <email address hidden> Fri, 25 Jan 2013 17:38:28 +0100

Changed in linux-ti-omap4 (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-armadaxp - 3.5.0-1608.10

---------------
linux-armadaxp (3.5.0-1608.10) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1105145
  * Rebase onto Ubuntu-3.5.0-23.35

  [ Ubuntu: 3.5.0-23.35 ]

  * Release Tracking Bug
    - LP: #1103932
  * Revert "fsnotify: change locking order"
    - LP: #1101666
  * Revert "fsnotify: dont put marks on temporary list when clearing marks
    by group"
    - LP: #1101666
  * Revert "fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()"
    - LP: #1101666
  * Revert "fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1101666
  * Revert "fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list"
    - LP: #1101666
  * Revert "fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed"
    - LP: #1101666
  * Revert "fsnotify: take groups mark_lock before mark lock"
    - LP: #1101666
  * Revert "fsnotify: use reference counting for groups"
    - LP: #1101666
  * Revert "fsnotify: introduce fsnotify_get_group()"
    - LP: #1101666
  * radeon/kms: force rn50 chip to always report connected on analog output
    - LP: #1103320
 -- Ike Panhc <email address hidden> Fri, 25 Jan 2013 10:05:30 +0800

Changed in linux-armadaxp (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (12.0 KiB)

This bug was fixed in the package linux-lts-backport-oneiric - 3.0.0-31.48~lucid1

---------------
linux-lts-backport-oneiric (3.0.0-31.48~lucid1) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1115661

  [ Upstream Kernel Changes ]

  * Revert "ath9k_hw: Update AR9003 high_power tx gain table"
    - LP: #1101192
  * Revert "drm/i915: no lvds quirk for Zotac ZDBOX SD ID12/ID13"
    - LP: #1101192
  * Tools: hv: verify origin of netlink connector message
    - LP: #1096318
    - CVE-2012-2669
  * tools: hv: Netlink source address validation allows DoS
    - LP: #1084777
    - CVE-2012-5532
  * bonding: Bonding driver does not consider the gso_max_size/gso_max_segs
    setting of slave devices.
    - LP: #1099442
  * bonding: fix race condition in bonding_store_slaves_active
    - LP: #1099442
  * sctp: fix memory leak in sctp_datamsg_from_user() when copy from user
    space fails
    - LP: #1099442
  * sctp: fix -ENOMEM result with invalid user space pointer in sendto()
    syscall
    - LP: #1099442
  * ne2000: add the right platform device
    - LP: #1099442
  * irda: sir_dev: Fix copy/paste typo
    - LP: #1099442
  * usb/ipheth: Add iPhone 5 support
    - LP: #1099442
  * pnpacpi: fix incorrect TEST_ALPHA() test
    - LP: #1099442
  * x86, 8042: Enable A20 using KBC to fix S3 resume on some MSI laptops
    - LP: #1099442
  * virtio: force vring descriptors to be allocated from lowmem
    - LP: #1099442
  * mm: Fix PageHead when !CONFIG_PAGEFLAGS_EXTENDED
    - LP: #1099442
  * tmpfs mempolicy: fix /proc/mounts corrupting memory
    - LP: #1099442
  * ALSA: usb-audio: Avoid autopm calls after disconnection
    - LP: #1099442
  * ALSA: usb-audio: Fix missing autopm for MIDI input
    - LP: #1099442
  * p54usb: add USB ID for T-Com Sinus 154 data II
    - LP: #1099442
  * p54usb: add USBIDs for two more p54usb devices
    - LP: #1099442
  * usb: gadget: phonet: free requests in pn_bind()'s error path
    - LP: #1099442
  * ACPI / scan: Do not use dummy HID for system bus ACPI nodes
    - LP: #1099442
  * NFS: avoid NULL dereference in nfs_destroy_server
    - LP: #1099442
  * NFS: Fix calls to drop_nlink()
    - LP: #1099442
  * nfsd4: fix oops on unusual readlike compound
    - LP: #1099442
  * nfs: fix null checking in nfs_get_option_str()
    - LP: #1099442
  * Input: walkera0701 - fix crash on startup
    - LP: #1099442
  * genirq: Always force thread affinity
    - LP: #1099442
  * xhci: Add Lynx Point LP to list of Intel switchable hosts
    - LP: #1099442
  * cgroup: remove incorrect dget/dput() pair in cgroup_create_dir()
    - LP: #1099442
  * x86, amd: Disable way access filter on Piledriver CPUs
    - LP: #1099442
  * ftrace: Do not function trace inlined functions
    - LP: #1099442
  * sparc: huge_ptep_set_* functions need to call set_huge_pte_at()
    - LP: #1099442
  * net: sched: integer overflow fix
    - LP: #1099442
  * tcp: implement RFC 5961 3.2
    - LP: #1099442
  * tcp: implement RFC 5961 4.2
    - LP: #1099442
  * tcp: refine SYN handling in tcp_validate_incoming
    - LP: #1099442
  * tcp: tcp_replace_ts_recent() should not be called from
    tcp_validate_incoming()
    - LP: #1...

Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.9 KiB)

This bug was fixed in the package linux - 3.0.0-31.48

---------------
linux (3.0.0-31.48) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1115137

  [ Upstream Kernel Changes ]

  * Revert "ath9k_hw: Update AR9003 high_power tx gain table"
    - LP: #1101192
  * Revert "drm/i915: no lvds quirk for Zotac ZDBOX SD ID12/ID13"
    - LP: #1101192
  * Tools: hv: verify origin of netlink connector message
    - LP: #1096318
    - CVE-2012-2669
  * tools: hv: Netlink source address validation allows DoS
    - LP: #1084777
    - CVE-2012-5532
  * bonding: Bonding driver does not consider the gso_max_size/gso_max_segs
    setting of slave devices.
    - LP: #1099442
  * bonding: fix race condition in bonding_store_slaves_active
    - LP: #1099442
  * sctp: fix memory leak in sctp_datamsg_from_user() when copy from user
    space fails
    - LP: #1099442
  * sctp: fix -ENOMEM result with invalid user space pointer in sendto()
    syscall
    - LP: #1099442
  * ne2000: add the right platform device
    - LP: #1099442
  * irda: sir_dev: Fix copy/paste typo
    - LP: #1099442
  * usb/ipheth: Add iPhone 5 support
    - LP: #1099442
  * pnpacpi: fix incorrect TEST_ALPHA() test
    - LP: #1099442
  * x86, 8042: Enable A20 using KBC to fix S3 resume on some MSI laptops
    - LP: #1099442
  * virtio: force vring descriptors to be allocated from lowmem
    - LP: #1099442
  * mm: Fix PageHead when !CONFIG_PAGEFLAGS_EXTENDED
    - LP: #1099442
  * tmpfs mempolicy: fix /proc/mounts corrupting memory
    - LP: #1099442
  * ALSA: usb-audio: Avoid autopm calls after disconnection
    - LP: #1099442
  * ALSA: usb-audio: Fix missing autopm for MIDI input
    - LP: #1099442
  * p54usb: add USB ID for T-Com Sinus 154 data II
    - LP: #1099442
  * p54usb: add USBIDs for two more p54usb devices
    - LP: #1099442
  * usb: gadget: phonet: free requests in pn_bind()'s error path
    - LP: #1099442
  * ACPI / scan: Do not use dummy HID for system bus ACPI nodes
    - LP: #1099442
  * NFS: avoid NULL dereference in nfs_destroy_server
    - LP: #1099442
  * NFS: Fix calls to drop_nlink()
    - LP: #1099442
  * nfsd4: fix oops on unusual readlike compound
    - LP: #1099442
  * nfs: fix null checking in nfs_get_option_str()
    - LP: #1099442
  * Input: walkera0701 - fix crash on startup
    - LP: #1099442
  * genirq: Always force thread affinity
    - LP: #1099442
  * xhci: Add Lynx Point LP to list of Intel switchable hosts
    - LP: #1099442
  * cgroup: remove incorrect dget/dput() pair in cgroup_create_dir()
    - LP: #1099442
  * x86, amd: Disable way access filter on Piledriver CPUs
    - LP: #1099442
  * ftrace: Do not function trace inlined functions
    - LP: #1099442
  * sparc: huge_ptep_set_* functions need to call set_huge_pte_at()
    - LP: #1099442
  * net: sched: integer overflow fix
    - LP: #1099442
  * tcp: implement RFC 5961 3.2
    - LP: #1099442
  * tcp: implement RFC 5961 4.2
    - LP: #1099442
  * tcp: refine SYN handling in tcp_validate_incoming
    - LP: #1099442
  * tcp: tcp_replace_ts_recent() should not be called from
    tcp_validate_incoming()
    - LP: #1099442
  * tcp: RFC 5961 5.2 Blind Data Injection Atta...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (12.0 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.0.0-1221.34

---------------
linux-ti-omap4 (3.0.0-1221.34) oneiric-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1115660

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.0.0-31.48

  [ Ubuntu: 3.0.0-31.48 ]

  * Release Tracking Bug
    - LP: #1115137
  * Revert "ath9k_hw: Update AR9003 high_power tx gain table"
    - LP: #1101192
  * Revert "drm/i915: no lvds quirk for Zotac ZDBOX SD ID12/ID13"
    - LP: #1101192
  * Tools: hv: verify origin of netlink connector message
    - LP: #1096318
    - CVE-2012-2669
  * tools: hv: Netlink source address validation allows DoS
    - LP: #1084777
    - CVE-2012-5532
  * bonding: Bonding driver does not consider the gso_max_size/gso_max_segs
    setting of slave devices.
    - LP: #1099442
  * bonding: fix race condition in bonding_store_slaves_active
    - LP: #1099442
  * sctp: fix memory leak in sctp_datamsg_from_user() when copy from user
    space fails
    - LP: #1099442
  * sctp: fix -ENOMEM result with invalid user space pointer in sendto()
    syscall
    - LP: #1099442
  * ne2000: add the right platform device
    - LP: #1099442
  * irda: sir_dev: Fix copy/paste typo
    - LP: #1099442
  * usb/ipheth: Add iPhone 5 support
    - LP: #1099442
  * pnpacpi: fix incorrect TEST_ALPHA() test
    - LP: #1099442
  * x86, 8042: Enable A20 using KBC to fix S3 resume on some MSI laptops
    - LP: #1099442
  * virtio: force vring descriptors to be allocated from lowmem
    - LP: #1099442
  * mm: Fix PageHead when !CONFIG_PAGEFLAGS_EXTENDED
    - LP: #1099442
  * tmpfs mempolicy: fix /proc/mounts corrupting memory
    - LP: #1099442
  * ALSA: usb-audio: Avoid autopm calls after disconnection
    - LP: #1099442
  * ALSA: usb-audio: Fix missing autopm for MIDI input
    - LP: #1099442
  * p54usb: add USB ID for T-Com Sinus 154 data II
    - LP: #1099442
  * p54usb: add USBIDs for two more p54usb devices
    - LP: #1099442
  * usb: gadget: phonet: free requests in pn_bind()'s error path
    - LP: #1099442
  * ACPI / scan: Do not use dummy HID for system bus ACPI nodes
    - LP: #1099442
  * NFS: avoid NULL dereference in nfs_destroy_server
    - LP: #1099442
  * NFS: Fix calls to drop_nlink()
    - LP: #1099442
  * nfsd4: fix oops on unusual readlike compound
    - LP: #1099442
  * nfs: fix null checking in nfs_get_option_str()
    - LP: #1099442
  * Input: walkera0701 - fix crash on startup
    - LP: #1099442
  * genirq: Always force thread affinity
    - LP: #1099442
  * xhci: Add Lynx Point LP to list of Intel switchable hosts
    - LP: #1099442
  * cgroup: remove incorrect dget/dput() pair in cgroup_create_dir()
    - LP: #1099442
  * x86, amd: Disable way access filter on Piledriver CPUs
    - LP: #1099442
  * ftrace: Do not function trace inlined functions
    - LP: #1099442
  * sparc: huge_ptep_set_* functions need to call set_huge_pte_at()
    - LP: #1099442
  * net: sched: integer overflow fix
    - LP: #1099442
  * tcp: implement RFC 5961 3.2
    - LP: #1099442
  * tcp: implement RFC 5961 4.2
    - LP: #1099442
  * tcp: refine SYN handling in tcp_validate_incoming
    - LP: #1099442
  * tcp: tcp_replace_ts_recent() should not be called fr...

Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: Invalid → Fix Released
Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: New → Won't Fix
Changed in linux-lts-backport-natty (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: Won't Fix → Invalid
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers